// ////////////////////////////////////////////////////
//
// StdView.h : interface of the CStdView class
// Based on class COGLView : public CView
// Inspect COGLView for standard OpenGL initialization
//
////////////////////////////////////////////////////////
#include "oglview.h"

class CStdView : public COGLView
{
protected: 
	CStdView();
	DECLARE_DYNCREATE(CStdView)

// Operations
public:
	CStdDoc* GetDocument();
	virtual void DrawScene();
	virtual void InitializeRContext();
	virtual void SetPerspective(int cx, int cy);

	GLfloat m_sphere_x,m_sphere_y,m_sphere_z;
	GLfloat m_t;
  GLfloat m_dt;
	BOOL m_Is_Animating;
  BOOL m_Is_Skier;
  BOOL m_Is_Fog;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStdView)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CStdView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	CPoint m_PLast;
	float m_zv,m_xv;
	float m_eye_x,m_eye_y,m_eye_z;
	float m_s;
	int m_Drawing_Mode;
	BOOL m_DrawLines;



// Generated message map functions
protected:
	//{{AFX_MSG(CStdView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnAnimateStartstop();
	afx_msg void OnViewAsaskiier();
	afx_msg void OnUpdateViewAsaskiier(CCmdUI* pCmdUI);
	afx_msg void OnViewAsaaeroplane();
	afx_msg void OnUpdateViewAsaaeroplane(CCmdUI* pCmdUI);
	afx_msg void OnViewFog();
	afx_msg void OnUpdateViewFog(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in StdView.cpp
inline CStdDoc* CStdView::GetDocument()
   { return (CStdDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
